import { createRouter, createWebHashHistory } from 'vue-router';
import NewChatView from '../views/NewChatView.vue';
import HomeView from '../views/HomeView.vue';

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/chat',
    name: 'chat',
    component: NewChatView
  }
];

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
});

export default router;
